> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goaura.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authentication

All Aura API endpoints are authenticated using API keys. You can view and manage your API keys in [Aura Settings](https://goaura.com/settings/developers).

Your API keys carry many privileges, so be sure to keep them secure! Do not share your secret API keys in publicly accessible areas such as GitHub, client-side code, and so forth.

Authentication to the API is performed via [HTTP Basic Auth](https://en.wikipedia.org/wiki/Basic_access_authentication). Provide your API key as the basic auth username value. You do not need to provide a password.

If you need to authenticate via bearer auth (e.g., for a cross-origin request), use `-H "Authorization: Bearer key_2ubjfjUcF0z6lcFio24TC1D9xUa"` instead of `-u key_2ubjfjUcF0z6lcFio24TC1D9xUa`.

All API requests must be made over HTTPS. Calls made over plain HTTP will fail. API requests without authentication will also fail.

<RequestExample>
  ```bash AUTHENTICATED REQUEST theme={null}
    curl https://api.goaura.com/listings \
      -u key_2ubjfjUcF0z6lcFio24TC1D9xUa:
      # The colon prevents curl from asking for a password.
  ```
</RequestExample>
